from django.urls import path

from . import apps
from . import views
from .views import TaskCreate, TaskDetail, TaskUpdate, DocumentCreate


app_name = apps.TasksConfig.name

urlpatterns = [
    path("", views.index, name="index"),
    path("task-create/", TaskCreate.as_view(), name="task-create"),
    path("<int:pk>/docu-create/", DocumentCreate.as_view(), name="docu-create"),
    path("<int:pk>/update/", TaskUpdate.as_view(), name="task-update"),
    path("<int:pk>/detail/", TaskDetail.as_view(), name="task-detail"),
]
